> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get daily price, volume and liquidity for token by id

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /tokens/daily/{tokenId}
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /tokens/daily/{tokenId}:
    get:
      tags:
        - Tokens
      summary: Get daily price, volume and liquidity for token by id
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
        - name: tokenId
          description: Token id (shard.realm.num)
          in: path
          required: true
          schema:
            type: string
            example: 0.0.731861
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokenPVL'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    TokenPVL:
      type: object
      properties:
        timestampSeconds:
          type: integer
          example: 1697677200
          description: Unix seconds
        tokenId:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        price:
          type: string
          example: '36334886'
          description: Token price in tinybar
        liquidity:
          type: string
          example: '5971792596548121'
          description: Token liquidity in its smallest unit
        volume:
          type: string
          example: '100169644699152'
          description: Token volume in its smallest unit
      required:
        - timestampSeconds
        - tokenId
        - price
        - liquidity
        - volume

````